// turtle.js

function TrackListViewModel() {
	var  self = this;
	self.tracks = ko.observableArray([]);
	self.searchText = ko.observable();
	self.fullSearch = function() {
		var e = document.getElementById("choice");
		var chosen = e.options[e.selectedIndex].value;
		getTrackData(chosen);
		
		function getTrackData(track_requested) {
			var url = "http://localhost:8888/travel/travel_data.php?id=" + track_requested;
			$.ajax( url,{ 
					data: {q:track_requested},  
					dataType: "json",
					success: function (data) {
						document.getElementById('data').innerHTML = data.tracks;
						showTrack(data.tracks, track_requested);
						console.log(data.tracks);
					},
					error: function(xhr, textStatus, errorThrown) {
						alert(textStatus);
						// Handle error
					}
			});
		}
	}
	
	self.selectedTracks = ko.computed(function() {
        return ko.utils.arrayFilter(self.tracks(), function(track) { return track.selected() });
    });
}

ko.applyBindings(new TrackListViewModel());