function Track(data) {
	// members
	this.data = data;
	//initialization

	//methods
	this.convertLatToPixel = function(lat) {
		return 960 - Math.round((lat - 21.9) * 60.0);
	}

	this.convertLonToPixel = function(lon) {
		return Math.round((lon + 155.0) * 24.0) - 480;
	}

	this.distance = function(x0,x1,y0,y1) {
		return (Math.sqrt((x0-x1)*(x0-x1) + (y0-y1)*(y0-y1)));
	}
	
	this.drawTrack = function(canvas) {
		var canvas=document.getElementById(canvas);
		var context=canvas.getContext('2d');
		for(i=1;i<data.length;i++) {
			//if(this.distance(data[i-1][1], data[i][1], data[i-1][0], data[i][0]) < 2.0) {
				context.beginPath();
				if (data[i-1][2] > -0.05) {
					context.strokeStyle = "rgb(255,0,0)";
				} else if (data[i-1][2] > -0.25) {
					context.strokeStyle = "rgb(0,255,0)";
				} else if (data[i-1][2] > -0.5) {
					context.strokeStyle = "rgb(0,255,255)";
				} else {
					context.strokeStyle = "rgb(6,120,155)";
				}
				context.moveTo(this.convertLonToPixel(data[i-1][1]),this.convertLatToPixel(data[i-1][0]));
				context.lineTo(this.convertLonToPixel(data[i][1]),this.convertLatToPixel(data[i][0]));
				context.lineWidth = 2;
				context.stroke();
			//}
		}
	}
}